io.netty.handler.codec.mqtt

## Class MqttMessageIdAndPropertiesVariableHeader

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttMessageIdVariableHeader
  - - io.netty.handler.codec.mqtt.MqttMessageIdAndPropertiesVariableHeader

    public final class MqttMessageIdAndPropertiesVariableHeader
    extends MqttMessageIdVariableHeader

Variable Header containing, Packet Id and Properties as in MQTT v5 spec.

### Constructor Summary

Constructors
Constructor and Description
`MqttMessageIdAndPropertiesVariableHeader(int messageId, MqttProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MqttProperties` `properties()`
`String` `toString()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttMessageIdVariableHeader

`from, messageId, withEmptyProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MqttMessageIdAndPropertiesVariableHeader

    public MqttMessageIdAndPropertiesVariableHeader(int messageId,
                                                    MqttProperties properties)

### Method Detail

#### properties

    public MqttProperties properties()

#### toString

    public String toString()

Overrides:
  `toString` in class `MqttMessageIdVariableHeader`